> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the shared permissions of a View with an Org



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions/org:
    post:
      tags:
        - ReportQuery
      summary: Update the shared permissions of a View with an Org
      operationId: ShareReportViewWithOrg
      parameters:
        - description: ''
          explode: false
          in: path
          name: reportDefinitionId
          required: true
          schema:
            type: string
          style: simple
        - description: ''
          explode: false
          in: path
          name: view
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ReportViewOrgPermissionRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ReportViewOrgPermissionRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ReportViewOrgPermissionRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ReportViewOrgPermissionRequest'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareReportViewWithOrgResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ReportViewOrgPermissionRequest:
      description: Parameters controlling user's permissions over a view
      example:
        target_org: target_org
        read: true
        share: true
        write: true
      properties:
        target_org:
          description: Name of the target Org
          nullable: true
          type: string
        read:
          description: Can the user read the view
          type: boolean
        write:
          description: Can the user update the view
          type: boolean
        share:
          description: Can the user Share the view
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.RiskPortal.Api.Controllers.ReportViewOrgPermissionRequest,
              Derivitec.RiskPortal.Api
      required:
        - $type
      type: object
    ShareReportViewWithOrgResponse:
      example:
        is_success: true
        error_messages:
          - error_messages
          - error_messages
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Core.Mediators.ReportView.ShareReportViewWithOrgResponse,
              Derivitec.Core.Mediators
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````